=== debian/changelog ===
fluidsynth (1.1.9-1) unstable; urgency=medium

  * New upstream version 1.1.9
  * Set dh/compat 11.
  * Bump Standards.
  * Update download page in d/copyright file.
  * Update upstream contacts d/copyright file.
  * Update d/docs file.
  * Update d/symbols file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 07 Jan 2018 12:50:51 +0100

fluidsynth (1.1.8-3) unstable; urgency=medium

  * Symbols changed on non-linux arch - more fixes. (Closes: #883684)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 10 Dec 2017 02:10:59 +0100

fluidsynth (1.1.8-2) unstable; urgency=medium

  [ Fabian Greffrath ]
  * add Suggests on some common soundfonts to the libfluidsynth1 package

  [ Jaromír Mikeš ]
  * Symbols changed on non-linux archs. (Closes: #883684)
  * Remove trailing whitespace from changelog.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 07 Dec 2017 15:12:36 +0100

fluidsynth (1.1.8-1) unstable; urgency=medium

  * Improve changelog.
  * New upstream version 1.1.8
  * Update Vcs to use git instead of cgit.
  * Bump Standards.
  * Continuation comma.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 14 Oct 2017 06:41:12 +0200

fluidsynth (1.1.7-1) unstable; urgency=medium

  * Update watch file.
  * New upstream version 1.1.7 (Closes: #877308)
   + consistently relicense libfluidsynth under LGPL-2.1+ (Closes: #859793)
   + add support of vorbis-compressed sf3 sound fonts (Closes: #740710)
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patches refreshed/deleted.
  * Allow all compressions.
  * Bump Standards.
  * Build without autoreconf.
  * Update symbols file.
  * Remove autotools-dev from B-D.
  * Avoid useless linking.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 02 Oct 2017 12:51:06 +0200

fluidsynth (1.1.6-4) unstable; urgency=medium

  * Set dh/compat 10.
  * Bump Standards.
  * Fix VCS fields.
  * B-D autotools-dev.
  * Fix hardening.
  * Add symbols file.
  * Sign tags.
  * Tune .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 18 Dec 2016 15:14:56 +0100

fluidsynth (1.1.6-3) unstable; urgency=medium

  * Bump Standards.
  * Update VCS fields.
  * Remove XS- prefix from Testsuite field.
  * Build with autoreconf.
  * Update copyright file.
  * Remove excessive dependencies of libfluidsynth-dev. (Closes: #738206)
  * Add patch to fix server connection. (Closes: #798815)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 14 Sep 2015 05:59:58 +0200
