## fluidsynth 1.1.11

=== debian/changelog ===
fluidsynth (1.1.11-4) unstable; urgency=medium

  * Team upload.
  * Promote soundfont packages to dependencies.
    + Fluidsynth is really useless without a soundfont and
      the default one weights only 6 MB.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 05 Aug 2019 14:06:06 +0200

fluidsynth (1.1.11-3) unstable; urgency=medium

  * Team upload.
  * Add some Breaks relations to ensure upgrading of soundfont
    packages to provide the virtual sf3-soundfont-gm package.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 05 Aug 2019 08:04:23 +0200

fluidsynth (1.1.11-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Fabian Greffrath ]
  * Recommend a recent enough timgm6mb-soundfont package or an
    alternative provider of sf3-soundfont-gm and use the default
    soundfont throughout the package.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 04 Aug 2019 13:37:30 +0200

fluidsynth (1.1.11-1) unstable; urgency=medium

  * Team upload.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Fabian Greffrath ]
  * New upstream version 1.1.11.
  * Install fluidsynth config file (Closes: #760209) and
    systemd user service unit file (Closes: #760210).

 -- Fabian Greffrath <fabian@debian.org>  Sat, 02 Jun 2018 10:45:52 +0200

fluidsynth (1.1.10-1) unstable; urgency=medium

  * Team upload.

  [ Jaromír Mikeš ]
  * Drop explicit Testsuite field, not needed anymore.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Fabian Greffrath ]
  * New upstream version 1.1.10

 -- Fabian Greffrath <fabian@debian.org>  Thu, 15 Mar 2018 17:27:53 +0100
