=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: fluidsynth
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  David Henningsson <diwic@ubuntu.com>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
  cmake,
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  ladspa-sdk,
  libasound2-dev,
  libglib2.0-dev (>= 2.6.5),
@@ -19,8 +19,8 @@
  libtool,
 Standards-Version: 4.1.3
 Homepage: http://www.fluidsynth.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/fluidsynth.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/fluidsynth.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/fluidsynth.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/fluidsynth
 
 Package: fluidsynth
 Architecture: any
@@ -51,8 +51,12 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Suggests:
- fluidr3mono-gm-soundfont | timgm6mb-soundfont | fluid-soundfont-gm
+ timgm6mb-soundfont (>= 1.3-3~) | sf3-soundfont-gm
+Breaks:
+ fluidr3mono-gm-soundfont (<< 2.315-6~),
+ musescore-general-soundfont-small (<< 0.1.6-2~),
+ musescore-general-soundfont-lossless (<< 0.1.7-2~),
+ musescore-general-soundfont (<< 0.1.7-2~)
 Description: Real-time MIDI software synthesizer (runtime library)
  Fluidsynth is a real-time midi synthesizer based on the soundfont2
  specifications. It can be used to render MIDI input or MIDI files to audio.
@@ -68,7 +72,6 @@
 Depends:
  libfluidsynth1 (= ${binary:Version}),
  ${misc:Depends},
-Testsuite: autopkgtest
 Description: Real-time MIDI software synthesizer (development files)
  Fluidsynth is a real-time midi synthesizer based on the soundfont2
  specifications. It can be used to render MIDI input or MIDI files to audio.
