=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,14 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
+		-DFLUID_DAEMON_ENV_FILE=/etc/default/fluidsynth \
+		-DDEFAULT_SOUNDFONT=/usr/share/sounds/sf3/default-GM.sf3 \
 		-Denable-ladspa=on \
 		$(EXTRA_CONFIGURE_ARGS)
+
+override_dh_install:
+	dh_install
+	mv debian/fluidsynth/etc/default/fluidsynth.conf \
+	   debian/fluidsynth/etc/default/fluidsynth
+	sed -e '/SOUND_FONT/s/#//' \
+	    -i debian/fluidsynth/etc/default/fluidsynth
