## fluidsynth 1.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # FluidSynth package version
 set ( FLUIDSYNTH_VERSION_MAJOR 1 )
 set ( FLUIDSYNTH_VERSION_MINOR 1 )
-set ( FLUIDSYNTH_VERSION_MICRO 9 )
+set ( FLUIDSYNTH_VERSION_MICRO 11 )
 set ( VERSION "${FLUIDSYNTH_VERSION_MAJOR}.${FLUIDSYNTH_VERSION_MINOR}.${FLUIDSYNTH_VERSION_MICRO}" )
 set ( FLUIDSYNTH_VERSION "\"${VERSION}\"" )
 
@@ -44,30 +44,31 @@
 # This is not exactly the same algorithm as the libtool one, but the results are the same.
 set ( LIB_VERSION_CURRENT 1 )
 set ( LIB_VERSION_AGE 7 )
-set ( LIB_VERSION_REVISION 0 )
+set ( LIB_VERSION_REVISION 2 )
 set ( LIB_VERSION_INFO
       "${LIB_VERSION_CURRENT}.${LIB_VERSION_AGE}.${LIB_VERSION_REVISION}" )
 
 # Options disabled by default
+option ( enable-debug "enable debugging (default=no)" off )
 option ( enable-floats "enable type float instead of double for DSP samples" off )
 option ( enable-profiling "profile the dsp code" off )
 option ( enable-ladspa "enable LADSPA effect units" off )
+option ( enable-fpe-check "enable Floating Point Exception checks and debug messages" off )
 option ( enable-portaudio "compile PortAudio support" off )
 option ( enable-trap-on-fpe "enable SIGFPE trap on Floating Point Exceptions" off )
-option ( enable-fpe-check "enable Floating Point Exception checks and debug messages" off )
-option ( enable-debug "enable debugging (default=no)" off )
 
 # Options enabled by default
+option ( enable-aufile "compile support for sound file output" on )
+option ( BUILD_SHARED_LIBS "Build a shared object or DLL" on )
+option ( enable-dbus "compile DBUS support (if it is available)" on )
+option ( enable-ipv6  "enable ipv6 support" on )
+option ( enable-jack "compile JACK support (if it is available)" on )
+option ( enable-libsndfile "compile libsndfile support (if it is available)" on )
+option ( enable-midishare "compile MidiShare support (if it is available)" on )
+option ( enable-oss "compile OSS support (if it is available)" on )
 option ( enable-pkgconfig "use pkg-config to locate fluidsynth's (mostly optional) dependencies" on )
-option ( enable-libsndfile "compile libsndfile support (if it is available)" on )
-option ( enable-aufile "compile support for sound file output" on )
 option ( enable-pulseaudio "compile PulseAudio support (if it is available)" on )
-option ( enable-jack "compile JACK support (if it is available)" on )
-option ( enable-midishare "compile MidiShare support (if it is available)" on )
 option ( enable-readline "compile readline lib line editing (if it is available)" on )
-option ( enable-dbus "compile DBUS support (if it is available)" on )
-option ( BUILD_SHARED_LIBS "Build a shared object or DLL" on )
-option ( enable-ipv6  "enable ipv6 support " on )
 
 # Platform specific options
 if ( CMAKE_SYSTEM MATCHES "Linux" )
@@ -88,7 +89,7 @@
 endif ( CMAKE_SYSTEM MATCHES "OS2" )
 
 # Initialize the library directory name suffix.
-if (NOT MINGW)
+if (NOT MINGW AND NOT MSVC)
 if ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
   set ( _init_lib_suffix "64" )
 else ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
@@ -175,7 +176,9 @@
   set ( WINDOWS_LIBS "dsound;winmm;ws2_32" )
   set ( LIBFLUID_CPPFLAGS "-DFLUIDSYNTH_DLL_EXPORTS" )
   set ( FLUID_CPPFLAGS "-DFLUIDSYNTH_NOT_A_DLL" )
-  set ( CMAKE_DEBUG_POSTFIX "_debug" )
+  if (NOT MSVC)
+    set ( CMAKE_DEBUG_POSTFIX "_debug" )
+  endif()
   # MinGW compiler (a Windows GCC port)
   if ( MINGW )
     set ( MINGW32 1 )
@@ -218,7 +221,7 @@
 if ( CMAKE_SYSTEM MATCHES "Darwin" )
   set ( DARWIN 1 )
   set ( CMAKE_INSTALL_NAME_DIR
-        ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}${LIB_SUFFIX} )
+        ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR} )
   if ( enable-coreaudio )
     check_include_file ( CoreAudio/AudioHardware.h COREAUDIO_FOUND )
     if ( COREAUDIO_FOUND )
@@ -307,6 +310,3 @@
 
     FIND_LIBRARY( GLIB_LIB NAMES glib glib-2.0 PATH GLIB_LIBRARY_DIR )
     FIND_LIBRARY( GTHREAD_LIB NAMES gthread gthread-2.0 PATH GTHREAD_LIBRARY_DIR )
-    FIND_PATH( GLIBH_DIR glib.h PATH GLIB_INCLUDE_DIR )
-    FIND_PATH( GLIBCONF_DIR glibconfig.h PATH GLIBCONF_INCLUDE_DIR )
-
