=== debian/changelog ===
fluidsynth (1.1.12-1) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Thu, 23 Sep 2021 17:54:06 +0800

fluidsynth (1.1.11-1+deb10u1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport fix for use-after-free vulnerability. (CVE-2021-28421)
    (Closes: #987168)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 24 Apr 2021 18:46:20 +0200
